> For the complete documentation index, see [llms.txt](https://docs.sfox.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sfox.com/connect/rest-api/transfers/resend-confirmation-code.md).

# Resend Confirmation Code

<mark style="color:blue;">**`POST`**</mark> `https://api.sfox.com/v1/enterprise/transfer/resend-confirmation`

If a user does not receive an OTP code or if the code has expired, you can request a new code using this endpoint. Once requested, the user will receive an email with the new OTP code.

### Body Parameter

<table><thead><tr><th width="248">Name</th><th width="105">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>transfer_id</code> <mark style="color:red;">required</mark></td><td>string</td><td>Partner generated transfer and idempotency ID</td></tr></tbody></table>

### Responses

<details>

<summary><mark style="color:green;"><strong>200 OK</strong></mark></summary>

```json
{
    "data": {
        "success": true
    }
}
```

</details>

<details>

<summary><mark style="color:red;"><strong>422 Unprocessable Content</strong></mark></summary>

```json
{
    "error": "Transfer with transfer_id 7735757c-863e-4e07-9b84-af186424ebae not found."
}
```

```json
{
    "error": "Funds transfer is not pending verification."
}
```

</details>

### Example Requests

{% tabs %}
{% tab title="Shell" %}

<pre class="language-bash"><code class="lang-bash">curl -X POST \
  -H 'Content-type: application/json' \
  -H "Authorization: Bearer ${ENTERPRISE_API_KEY}" \
  --data '{ "transfer_id": "7735757c-863e-4e07-9b84-af186424ebae" }'  \
<strong>  'https://api.sfox.com/v1/enterprise/transfer/resend-confirmation'
</strong></code></pre>

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

const config = {
  method: 'post',
  url: 'https://api.sfox.com/v1/enterprise/transfer/confirm',
  headers: {
    "Content-Type": "application/json",
    'Authorization': `Bearer ${process.env.ENTERPRISE_API_KEY}`
  },
  data: {
    transfer_id: '7735757c-863e-4e07-9b84-af186424ebae',
    otp: '123456'
  }
}

axios(config)
    .then((response) => {
      console.log(response.status)
      console.log(response.data)
    })
    .catch((err) => {
      console.error(err.response.status)
      console.error(err.response.data)
    });
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os

data = requests.post(
  "https://api.sfox.com/v1/enterprise/transfer/confirm/resend-confirmation",
  headers={
    "Authorization": f"Bearer {os.environ['ENTERPRISE_API_KEY']}"
  },
  json={
    "transfer_id": "7735757c-863e-4e07-9b84-af186424ebae"
  }
)
print(data.status_code)
print(data.json())
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sfox.com/connect/rest-api/transfers/resend-confirmation-code.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
